com.sun.grid.jgdi.configuration

## Class BindingImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.BindingImpl

- All Implemented Interfaces:
    Binding, GEObject, java.io.Serializable, java.lang.Cloneable

      public class BindingImpl
      extends GEObjectImpl
      implements Binding

  Java representation of the cull object BN_Type defined in sge_all_listsL.template

  Warning: The BindingImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindingImpl()` Create a new instance of BindingImpl.
    `BindingImpl(boolean initWithDefaultValues)` Create a new instanceof
    `BindingImpl(java.lang.String strategy)` Create a new instance of BindingImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `int` | `getParameterCoreOffset()` Get the value of the parameterCoreOffset attribute.
    `java.lang.String` | `getParameterExplicit()` Get the value of the parameterExplicit attribute.
    `int` | `getParameterN()` Get the value of the parameterN attribute.
    `int` | `getParameterSocketOffset()` Get the value of the parameterSocketOffset attribute.
    `int` | `getParameterStridingStepSize()` Get the value of the parameterStridingStepSize attribute.
    `java.lang.String` | `getStrategy()` Get the value of the strategy attribute.
    `int` | `getType()` Get the value of the type attribute.
    `boolean` | `isSetParameterCoreOffset()` Determine if the parameterCoreOffset attribute is set
    `boolean` | `isSetParameterExplicit()` Determine if the parameterExplicit attribute is set
    `boolean` | `isSetParameterN()` Determine if the parameterN attribute is set
    `boolean` | `isSetParameterSocketOffset()` Determine if the parameterSocketOffset attribute is set
    `boolean` | `isSetParameterStridingStepSize()` Determine if the parameterStridingStepSize attribute is set
    `boolean` | `isSetStrategy()` Determine if the strategy attribute is set
    `boolean` | `isSetType()` Determine if the type attribute is set
    `void` | `setParameterCoreOffset(int aParameterCoreOffset)` Set the parameterCoreOffset attribute.
    `void` | `setParameterExplicit(java.lang.String aParameterExplicit)` Set the parameterExplicit attribute.
    `void` | `setParameterN(int aParameterN)` Set the parameterN attribute.
    `void` | `setParameterSocketOffset(int aParameterSocketOffset)` Set the parameterSocketOffset attribute.
    `void` | `setParameterStridingStepSize(int aParameterStridingStepSize)` Set the parameterStridingStepSize attribute.
    `void` | `setStrategy(java.lang.String aStrategy)` Set the strategy attribute.
    `void` | `setType(int aType)` Set the type attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### BindingImpl

          public BindingImpl()

      Create a new instance of BindingImpl. The new instance will not be initialized with the default values.

    - #### BindingImpl

          public BindingImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### BindingImpl

          public BindingImpl(java.lang.String strategy)

      Create a new instance of BindingImpl

  - ### Method Detail

    - #### isSetStrategy

          public boolean isSetStrategy()

      Determine if the strategy attribute is set
      Specified by:
        `isSetStrategy` in interface `Binding`
      Returns:
        `true` if the strategy attribute is set

    - #### setStrategy

          public void setStrategy(java.lang.String aStrategy)

      Set the strategy attribute.
      Specified by:
        `setStrategy` in interface `Binding`
      Parameters:
        `aStrategy` - the new value for the strategy attribute

    - #### getStrategy

          public java.lang.String getStrategy()

      Get the value of the strategy attribute.
      Specified by:
        `getStrategy` in interface `Binding`
      Returns:
        the value of the strategy attribute

    - #### isSetType

          public boolean isSetType()

      Determine if the type attribute is set
      Specified by:
        `isSetType` in interface `Binding`
      Returns:
        `true` if the type attribute is set

    - #### setType

          public void setType(int aType)

      Set the type attribute.
      Specified by:
        `setType` in interface `Binding`
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          public int getType()

      Get the value of the type attribute.
      Specified by:
        `getType` in interface `Binding`
      Returns:
        the value of the type attribute

    - #### isSetParameterN

          public boolean isSetParameterN()

      Determine if the parameterN attribute is set
      Specified by:
        `isSetParameterN` in interface `Binding`
      Returns:
        `true` if the parameterN attribute is set

    - #### setParameterN

          public void setParameterN(int aParameterN)

      Set the parameterN attribute.
      Specified by:
        `setParameterN` in interface `Binding`
      Parameters:
        `aParameterN` - the new value for the parameterN attribute

    - #### getParameterN

          public int getParameterN()

      Get the value of the parameterN attribute.
      Specified by:
        `getParameterN` in interface `Binding`
      Returns:
        the value of the parameterN attribute

    - #### isSetParameterSocketOffset

          public boolean isSetParameterSocketOffset()

      Determine if the parameterSocketOffset attribute is set
      Specified by:
        `isSetParameterSocketOffset` in interface `Binding`
      Returns:
        `true` if the parameterSocketOffset attribute is set

    - #### setParameterSocketOffset

          public void setParameterSocketOffset(int aParameterSocketOffset)

      Set the parameterSocketOffset attribute.
      Specified by:
        `setParameterSocketOffset` in interface `Binding`
      Parameters:
        `aParameterSocketOffset` - the new value for the parameterSocketOffset attribute

    - #### getParameterSocketOffset

          public int getParameterSocketOffset()

      Get the value of the parameterSocketOffset attribute.
      Specified by:
        `getParameterSocketOffset` in interface `Binding`
      Returns:
        the value of the parameterSocketOffset attribute

    - #### isSetParameterCoreOffset

          public boolean isSetParameterCoreOffset()

      Determine if the parameterCoreOffset attribute is set
      Specified by:
        `isSetParameterCoreOffset` in interface `Binding`
      Returns:
        `true` if the parameterCoreOffset attribute is set

    - #### setParameterCoreOffset

          public void setParameterCoreOffset(int aParameterCoreOffset)

      Set the parameterCoreOffset attribute.
      Specified by:
        `setParameterCoreOffset` in interface `Binding`
      Parameters:
        `aParameterCoreOffset` - the new value for the parameterCoreOffset attribute

    - #### getParameterCoreOffset

          public int getParameterCoreOffset()

      Get the value of the parameterCoreOffset attribute.
      Specified by:
        `getParameterCoreOffset` in interface `Binding`
      Returns:
        the value of the parameterCoreOffset attribute

    - #### isSetParameterStridingStepSize

          public boolean isSetParameterStridingStepSize()

      Determine if the parameterStridingStepSize attribute is set
      Specified by:
        `isSetParameterStridingStepSize` in interface `Binding`
      Returns:
        `true` if the parameterStridingStepSize attribute is set

    - #### setParameterStridingStepSize

          public void setParameterStridingStepSize(int aParameterStridingStepSize)

      Set the parameterStridingStepSize attribute.
      Specified by:
        `setParameterStridingStepSize` in interface `Binding`
      Parameters:
        `aParameterStridingStepSize` - the new value for the parameterStridingStepSize attribute

    - #### getParameterStridingStepSize

          public int getParameterStridingStepSize()

      Get the value of the parameterStridingStepSize attribute.
      Specified by:
        `getParameterStridingStepSize` in interface `Binding`
      Returns:
        the value of the parameterStridingStepSize attribute

    - #### isSetParameterExplicit

          public boolean isSetParameterExplicit()

      Determine if the parameterExplicit attribute is set
      Specified by:
        `isSetParameterExplicit` in interface `Binding`
      Returns:
        `true` if the parameterExplicit attribute is set

    - #### setParameterExplicit

          public void setParameterExplicit(java.lang.String aParameterExplicit)

      Set the parameterExplicit attribute.
      Specified by:
        `setParameterExplicit` in interface `Binding`
      Parameters:
        `aParameterExplicit` - the new value for the parameterExplicit attribute

    - #### getParameterExplicit

          public java.lang.String getParameterExplicit()

      Get the value of the parameterExplicit attribute.
      Specified by:
        `getParameterExplicit` in interface `Binding`
      Returns:
        the value of the parameterExplicit attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `Binding`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.